// pages/payDeposit/pages/auctionprotocol/auctionprotocol.js
const app = getApp();
var util = require('../../../../utils/util.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
      price : "",
      timeStr : ""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
      var _this = this;
      this.setData({
          deposit: options.deposit,
          auction_way: options.auction_way,
          time: options.time
      },function() {
          var time = parseInt(this.data.time)
          var timer = util.formatTimeTwo(time, 'Y-M-D')
          console.log(timer.split("-"))
          var timeStr = timer.split("-")[0] + '年' + timer.split("-")[1] + '月' + timer.split("-")[2]  +'日'
          _this.setData({
              timeStr
          })
      })
      
      
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
      var price = app.smalltoBIG(this.data.deposit);
      this.setData({
          price
      },function() {
          console.log(this.data.price)
      })
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  }
})